|  | Home | Documentation | uddi2__serviceInfo Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
uddi2__serviceInfo Class Reference

Schema urn:uddi-org:api_v2:"serviceInfo". More...

`#include <uddi_v2.h>`

## Public Attributes
std::vector< uddi2__name * > | name
| Vector of uddi2__name* with length 0..unbounded. More...
uddi2__serviceKey | serviceKey
| Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey. More...
uddi2__businessKey | businessKey
| Attribute businessKey of type "urn:uddi-org:api_v2":businessKey. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"serviceInfo".

## Member Data Documentation

uddi2__businessKey uddi2__serviceInfo::businessKey

Attribute businessKey of type "urn:uddi-org:api_v2":businessKey.

Required attribute

std::vector<uddi2__name* > uddi2__serviceInfo::name

Vector of uddi2__name* with length 0..unbounded.

uddi2__serviceKey uddi2__serviceInfo::serviceKey

Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey.

Required attribute

struct soap* uddi2__serviceInfo::soap

A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- uddi_v2.h